OGRE-Next: Ogre::EglPBufferContext Class Reference

| OGRE-Next 3.0.0 Object-Oriented Graphics Rendering Engine

Loading...
Searching...
No Matches
Ogre::EglPBufferContext Class Reference

`#include <OgreEglPBufferContext.h>`

Inheritance diagram for Ogre::EglPBufferContext:
[legend]

## Public Member Functions
| EglPBufferContext (EglPBufferSupport *support)
virtual | ~EglPBufferContext ()
GL3PlusContext * | clone () const
| Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.
virtual void | endCurrent ()
| This is called before another context is made current.
const EglPBufferSupport::DeviceData * | getDeviceData () const
virtual void | setCurrent ()
| Enable the context.
Public Member Functions inherited from Ogre::GL3PlusContext
| GL3PlusContext ()
virtual | ~GL3PlusContext ()
bool | getInitialized ()
virtual void | releaseContext ()
| Release the render context.
void | setInitialized ()

## Constructor & Destructor Documentation

## ◆ EglPBufferContext()

Ogre::EglPBufferContext::EglPBufferContext | ( | EglPBufferSupport * | support | ) |

## ◆ ~EglPBufferContext()

virtual Ogre::EglPBufferContext::~EglPBufferContext | ( |  | ) |
| virtual

## Member Function Documentation

## ◆ clone()

GL3PlusContext * Ogre::EglPBufferContext::clone | ( |  | ) | const
| virtual

Create a new context based on the same window/pbuffer as this context - mostly useful for additional threads.

Note
  The caller is responsible for deleting the returned context.

Implements Ogre::GL3PlusContext.

References Ogre::GL3PlusContext::GL3PlusContext().

## ◆ endCurrent()

virtual void Ogre::EglPBufferContext::endCurrent | ( |  | ) |
| virtual

This is called before another context is made current.

By default, nothing is done here.

Implements Ogre::GL3PlusContext.

## ◆ getDeviceData()

const EglPBufferSupport::DeviceData * Ogre::EglPBufferContext::getDeviceData | ( |  | ) | const
| inline

## ◆ setCurrent()

virtual void Ogre::EglPBufferContext::setCurrent | ( |  | ) |
| virtual

Enable the context.

All subsequent rendering commands will go here.

Implements Ogre::GL3PlusContext.

The documentation for this class was generated from the following file:

- OgreEglPBufferContext.h